Optional networks integration unity

Tapjoy

Tapjoy SDK version: 12.7.1

You need to create TapjoyDependencies.xml and add to Assets>Appodeal>Editor with following code:

Tapjoy
<dependencies>
<androidPackages>
<repositories>
<repository>https://artifactory.appodeal.com/appodeal</repository>
</repositories>
<androidPackage spec="com.appodeal.ads.sdk.networks:tapjoy:2.8.1.6@aar"/>
<androidPackage spec="com.tapjoy:tapjoy-android-sdk:12.7.1@aar"/>
<androidPackage spec="com.google.android.gms:play-services-basement:17.3.0"/>
<androidPackage spec="com.google.android.gms:play-services-ads:19.6.0"/>
<androidPackage spec="com.google.android.gms:play-services-location:17.0.0"/>
</androidPackages>
</dependencies>


Inmobi

Inmobi SDK version: 9.1.1

You need to create InMobiDependencies.xml and add to Assets>Appodeal>Editor with following code:

Inmobi
<dependencies>
<androidPackages>
<repositories>
<repository>https://artifactory.appodeal.com/appodeal</repository>
</repositories>
<androidPackage spec="com.appodeal.ads.sdk.networks:inmobi:2.8.1.6@aar"/>
<androidPackage spec="com.inmobi.monetization:inmobi-ads:9.1.1"/>
<androidPackage spec="com.squareup.picasso:picasso:2.71828@aar"/>
<androidPackage spec="com.squareup.okhttp3:okhttp:3.10.0"/>
<androidPackage spec="com.android.support:exifinterface:27.1.0"/>
<androidPackage spec="com.android.support:support-annotations:27.1.0"/>
<androidPackage spec="androidx.browser:browser:1.0.0"/>
<androidPackage spec="androidx.legacy:legacy-support-v4:1.0.0"/>
<androidPackage spec="androidx.recyclerview:recyclerview:1.0.0"/>
<androidPackage spec="com.google.android.gms:play-services-ads-identifier:17.0.0"/>
<androidPackage spec="com.google.android.gms:play-services-location:17.0.0"/>
</androidPackages>
</dependencies>

Chartboost

Chartboost SDK version: 8.2.0

You need to create ChartboostDependencies.xml and add to Assets>Appodeal>Editor with following code:

Chartboost
<dependencies>
<androidPackages>
<repositories>
<repository>https://artifactory.appodeal.com/appodeal</repository>
</repositories>
<androidPackage spec="com.appodeal.ads.sdk.networks:chartboost:2.8.1.5@aar"/>
<androidPackage spec="com.chartboost:chartboost-sdk:8.2.0"/>
<androidPackage spec="com.google.android.gms:play-services-base:17.0.0"/>
<androidPackage spec="com.google.android.gms:play-services-ads-identifier:17.0.0"/>
</androidPackages>
</dependencies>

Mopub

Mopub SDK version: 5.13.1

You need to create MopubDependencies.xml and add to Assets>Appodeal>Editor with following code:

Mopub
<dependencies>
<androidPackages>
<repositories>
<repository>https://artifactory.appodeal.com/appodeal</repository>
</repositories>
<androidPackage spec="com.appodeal.ads.sdk.networks:mopub:2.8.1.3@aar"/>
<androidPackage spec="com.mopub:mopub-sdk:5.13.1"/>
<androidPackage spec="androidx.recyclerview:recyclerview:1.0.0"/>
<androidPackage spec="com.google.android.gms:play-services-base:17.0.0"/>
<androidPackage spec="com.google.android.gms:play-services-ads-identifier:17.0.0"/>
</androidPackages>
</dependencies>